/**
* 文件：ParamQuery.java
* 版本：1.0.0
* 日期：
* Copyright &reg; 
* All right reserved.
*/

package com.mortals.xhx.base.system.param.model;
import java.util.List;
/**
 * <p>Title: 参数信息</p>
 * <p>Description: ParamQuery  </p>
 * <p>Copyright: Copyright &reg;  </p>
 * <p>Company: </p>
 * @author 
 * @version 1.0.0
 */
public class ParamQuery extends ParamEntity{
	private static final long serialVersionUID = 1547777703337L;
	/** 开始 序号，主键，自增长 */
	private Long idStart;

	/** 结束 序号，主键，自增长 */
	private Long idEnd;

	/** 增加 序号，主键，自增长 */
	private Long idIncrement;

	/** 序号，主键，自增长 */
	private List<Long> idList;

	/** 参数名称 */
	private List<String> nameList;

	/** 一级组织，如：平台配置 */
	private List<String> firstOrganizeList;

	/** 二级组织，如：基础配置 */
	private List<String> secondOrganizeList;

	/** 参数键，全局唯一 */
	private List<String> paramKeyList;

	/** 参数值 */
	private List<String> paramValueList;

	/** 开始 参数有效状态，0：禁用，1：启用，默认1 */
	private Integer validStatusStart;

	/** 结束 参数有效状态，0：禁用，1：启用，默认1 */
	private Integer validStatusEnd;

	/** 增加 参数有效状态，0：禁用，1：启用，默认1 */
	private Integer validStatusIncrement;

	/** 参数有效状态，0：禁用，1：启用，默认1 */
	private List<Integer> validStatusList;

	/** 开始 参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4 */
	private Integer modStatusStart;

	/** 结束 参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4 */
	private Integer modStatusEnd;

	/** 增加 参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4 */
	private Integer modStatusIncrement;

	/** 参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4 */
	private List<Integer> modStatusList;

	/** 开始 展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0 */
	private Integer displayTypeStart;

	/** 结束 展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0 */
	private Integer displayTypeEnd;

	/** 增加 展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0 */
	private Integer displayTypeIncrement;

	/** 展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0 */
	private List<Integer> displayTypeList;

	/** 备注 */
	private List<String> remarkList;

	/** 开始 创建时间 */
	private String createTimeStart;

	/** 结束 创建时间 */
	private String createTimeEnd;

	/** 开始 创建用户 */
	private Long createUserIdStart;

	/** 结束 创建用户 */
	private Long createUserIdEnd;

	/** 增加 创建用户 */
	private Long createUserIdIncrement;

	/** 创建用户 */
	private List<Long> createUserIdList;

	/** 创建用户名称 */
	private List<String> createUserNameList;


	public ParamQuery(){
	}
	/**
	 * 获取 开始 序号，主键，自增长
	 * @return idStart
	 */
	public Long getIdStart(){
		return this.idStart;
	}

	/**
	 * 设置 开始 序号，主键，自增长
	 * @param idStart
	 */
	public void setIdStart(Long idStart){
		this.idStart = idStart;
	}

	/**
	 * 获取 结束 序号，主键，自增长
	 * @return idEnd
	 */
	public Long getIdEnd(){
		return this.idEnd;
	}

	/**
	 * 设置 结束 序号，主键，自增长
	 * @param idEnd
	 */
	public void setIdEnd(Long idEnd){
		this.idEnd = idEnd;
	}

	/**
	 * 获取 增加 序号，主键，自增长
	 * @return idIncrement
	 */
	public Long getIdIncrement(){
		return this.idIncrement;
	}

	/**
	 * 设置 增加 序号，主键，自增长
	 * @param idIncrement
	 */
	public void setIdIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
	}

	/**
	 * 获取 序号，主键，自增长
	 * @return idList
	 */
	public List<Long> getIdList(){
		return this.idList;
	}

	/**
	 * 设置 序号，主键，自增长
	 * @param idList
	 */
	public void setIdList(List<Long> idList){
		this.idList = idList;
	}

	/**
	 * 获取 参数名称
	 * @return nameList
	 */
	public List<String> getNameList(){
		return this.nameList;
	}

	/**
	 * 设置 参数名称
	 * @param nameList
	 */
	public void setNameList(List<String> nameList){
		this.nameList = nameList;
	}

	/**
	 * 获取 一级组织，如：平台配置
	 * @return firstOrganizeList
	 */
	public List<String> getFirstOrganizeList(){
		return this.firstOrganizeList;
	}

	/**
	 * 设置 一级组织，如：平台配置
	 * @param firstOrganizeList
	 */
	public void setFirstOrganizeList(List<String> firstOrganizeList){
		this.firstOrganizeList = firstOrganizeList;
	}

	/**
	 * 获取 二级组织，如：基础配置
	 * @return secondOrganizeList
	 */
	public List<String> getSecondOrganizeList(){
		return this.secondOrganizeList;
	}

	/**
	 * 设置 二级组织，如：基础配置
	 * @param secondOrganizeList
	 */
	public void setSecondOrganizeList(List<String> secondOrganizeList){
		this.secondOrganizeList = secondOrganizeList;
	}

	/**
	 * 获取 参数键，全局唯一
	 * @return paramKeyList
	 */
	public List<String> getParamKeyList(){
		return this.paramKeyList;
	}

	/**
	 * 设置 参数键，全局唯一
	 * @param paramKeyList
	 */
	public void setParamKeyList(List<String> paramKeyList){
		this.paramKeyList = paramKeyList;
	}

	/**
	 * 获取 参数值
	 * @return paramValueList
	 */
	public List<String> getParamValueList(){
		return this.paramValueList;
	}

	/**
	 * 设置 参数值
	 * @param paramValueList
	 */
	public void setParamValueList(List<String> paramValueList){
		this.paramValueList = paramValueList;
	}

	/**
	 * 获取 开始 参数有效状态，0：禁用，1：启用，默认1
	 * @return validStatusStart
	 */
	public Integer getValidStatusStart(){
		return this.validStatusStart;
	}

	/**
	 * 设置 开始 参数有效状态，0：禁用，1：启用，默认1
	 * @param validStatusStart
	 */
	public void setValidStatusStart(Integer validStatusStart){
		this.validStatusStart = validStatusStart;
	}

	/**
	 * 获取 结束 参数有效状态，0：禁用，1：启用，默认1
	 * @return validStatusEnd
	 */
	public Integer getValidStatusEnd(){
		return this.validStatusEnd;
	}

	/**
	 * 设置 结束 参数有效状态，0：禁用，1：启用，默认1
	 * @param validStatusEnd
	 */
	public void setValidStatusEnd(Integer validStatusEnd){
		this.validStatusEnd = validStatusEnd;
	}

	/**
	 * 获取 增加 参数有效状态，0：禁用，1：启用，默认1
	 * @return validStatusIncrement
	 */
	public Integer getValidStatusIncrement(){
		return this.validStatusIncrement;
	}

	/**
	 * 设置 增加 参数有效状态，0：禁用，1：启用，默认1
	 * @param validStatusIncrement
	 */
	public void setValidStatusIncrement(Integer validStatusIncrement){
		this.validStatusIncrement = validStatusIncrement;
	}

	/**
	 * 获取 参数有效状态，0：禁用，1：启用，默认1
	 * @return validStatusList
	 */
	public List<Integer> getValidStatusList(){
		return this.validStatusList;
	}

	/**
	 * 设置 参数有效状态，0：禁用，1：启用，默认1
	 * @param validStatusList
	 */
	public void setValidStatusList(List<Integer> validStatusList){
		this.validStatusList = validStatusList;
	}

	/**
	 * 获取 开始 参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
	 * @return modStatusStart
	 */
	public Integer getModStatusStart(){
		return this.modStatusStart;
	}

	/**
	 * 设置 开始 参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
	 * @param modStatusStart
	 */
	public void setModStatusStart(Integer modStatusStart){
		this.modStatusStart = modStatusStart;
	}

	/**
	 * 获取 结束 参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
	 * @return modStatusEnd
	 */
	public Integer getModStatusEnd(){
		return this.modStatusEnd;
	}

	/**
	 * 设置 结束 参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
	 * @param modStatusEnd
	 */
	public void setModStatusEnd(Integer modStatusEnd){
		this.modStatusEnd = modStatusEnd;
	}

	/**
	 * 获取 增加 参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
	 * @return modStatusIncrement
	 */
	public Integer getModStatusIncrement(){
		return this.modStatusIncrement;
	}

	/**
	 * 设置 增加 参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
	 * @param modStatusIncrement
	 */
	public void setModStatusIncrement(Integer modStatusIncrement){
		this.modStatusIncrement = modStatusIncrement;
	}

	/**
	 * 获取 参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
	 * @return modStatusList
	 */
	public List<Integer> getModStatusList(){
		return this.modStatusList;
	}

	/**
	 * 设置 参数修改状态，0：隐藏，1：页面仅查看，2：页面可修改，3：页面可删除，4：页面可修改删除，默认4
	 * @param modStatusList
	 */
	public void setModStatusList(List<Integer> modStatusList){
		this.modStatusList = modStatusList;
	}

	/**
	 * 获取 开始 展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
	 * @return displayTypeStart
	 */
	public Integer getDisplayTypeStart(){
		return this.displayTypeStart;
	}

	/**
	 * 设置 开始 展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
	 * @param displayTypeStart
	 */
	public void setDisplayTypeStart(Integer displayTypeStart){
		this.displayTypeStart = displayTypeStart;
	}

	/**
	 * 获取 结束 展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
	 * @return displayTypeEnd
	 */
	public Integer getDisplayTypeEnd(){
		return this.displayTypeEnd;
	}

	/**
	 * 设置 结束 展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
	 * @param displayTypeEnd
	 */
	public void setDisplayTypeEnd(Integer displayTypeEnd){
		this.displayTypeEnd = displayTypeEnd;
	}

	/**
	 * 获取 增加 展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
	 * @return displayTypeIncrement
	 */
	public Integer getDisplayTypeIncrement(){
		return this.displayTypeIncrement;
	}

	/**
	 * 设置 增加 展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
	 * @param displayTypeIncrement
	 */
	public void setDisplayTypeIncrement(Integer displayTypeIncrement){
		this.displayTypeIncrement = displayTypeIncrement;
	}

	/**
	 * 获取 展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
	 * @return displayTypeList
	 */
	public List<Integer> getDisplayTypeList(){
		return this.displayTypeList;
	}

	/**
	 * 设置 展现类型，0：普通文本框，1：多行文本框，2：开关，3：块输入框，默认：0
	 * @param displayTypeList
	 */
	public void setDisplayTypeList(List<Integer> displayTypeList){
		this.displayTypeList = displayTypeList;
	}

	/**
	 * 获取 备注
	 * @return remarkList
	 */
	public List<String> getRemarkList(){
		return this.remarkList;
	}

	/**
	 * 设置 备注
	 * @param remarkList
	 */
	public void setRemarkList(List<String> remarkList){
		this.remarkList = remarkList;
	}

	/**
	 * 获取 开始 创建时间
	 * @return createTimeStart
	 */
	public String getCreateTimeStart(){
		return this.createTimeStart;
	}

	/**
	 * 设置 开始 创建时间
	 * @param createTimeStart
	 */
	public void setCreateTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
	}

	/**
	 * 获取 结束 创建时间
	 * @return createTimeEnd
	 */
	public String getCreateTimeEnd(){
		return this.createTimeEnd;
	}

	/**
	 * 设置 结束 创建时间
	 * @param createTimeEnd
	 */
	public void setCreateTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
	}

	/**
	 * 获取 开始 创建用户
	 * @return createUserIdStart
	 */
	public Long getCreateUserIdStart(){
		return this.createUserIdStart;
	}

	/**
	 * 设置 开始 创建用户
	 * @param createUserIdStart
	 */
	public void setCreateUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
	}

	/**
	 * 获取 结束 创建用户
	 * @return createUserIdEnd
	 */
	public Long getCreateUserIdEnd(){
		return this.createUserIdEnd;
	}

	/**
	 * 设置 结束 创建用户
	 * @param createUserIdEnd
	 */
	public void setCreateUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
	}

	/**
	 * 获取 增加 创建用户
	 * @return createUserIdIncrement
	 */
	public Long getCreateUserIdIncrement(){
		return this.createUserIdIncrement;
	}

	/**
	 * 设置 增加 创建用户
	 * @param createUserIdIncrement
	 */
	public void setCreateUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
	}

	/**
	 * 获取 创建用户
	 * @return createUserIdList
	 */
	public List<Long> getCreateUserIdList(){
		return this.createUserIdList;
	}

	/**
	 * 设置 创建用户
	 * @param createUserIdList
	 */
	public void setCreateUserIdList(List<Long> createUserIdList){
		this.createUserIdList = createUserIdList;
	}

	/**
	 * 获取 创建用户名称
	 * @return createUserNameList
	 */
	public List<String> getCreateUserNameList(){
		return this.createUserNameList;
	}

	/**
	 * 设置 创建用户名称
	 * @param createUserNameList
	 */
	public void setCreateUserNameList(List<String> createUserNameList){
		this.createUserNameList = createUserNameList;
	}


}